Search documentation of bb

# BB.Error.Kinematics.SelfCollision exception (bb v0.17.0)

Copy Markdown View Source

Motion would cause self-collision.

Raised when the planned motion trajectory would result in collision between robot links.

## Summary

### Functions

exception(args)

Create an `Elixir.BB.Error.Kinematics.SelfCollision` without raising it.

## Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) :: %BB.Error.Kinematics.SelfCollision{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      joint_positions: term(),
      link_a: term(),
      link_b: term(),
      path: term(),
      splode: term(),
      stacktrace: term(),
      vars: term()
    }

Create an `Elixir.BB.Error.Kinematics.SelfCollision` without raising it.

## Keys

- :link_a
- :link_b
- :joint_positions